Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class IntHolder

    java.lang.Object
      |
      +--com.ericsson.otp.ic.IntHolder

All Implemented Interfaces:
  Holder, java.io.Serializable

public final class IntHolder
extends java.lang.Object
implements Holder

Holder class for Int, according to OMG-IDL java mapping.

See Also:
  Serialized Form

Field Summary
`int` | `value`

Constructor Summary
`IntHolder()`
`IntHolder(int initial)`

Method Summary
`boolean` | `equals(int i)` Comparisson method for Ints.
`boolean` | `equals(java.lang.Object obj)` Comparisson method for Ints.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public int value

Constructor Detail

### IntHolder

    public IntHolder()

### IntHolder

    public IntHolder(int initial)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Comparisson method for Ints.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the input object equals the current object, false otherwize

### equals

    public boolean equals(int i)

  Comparisson method for Ints.
  Returns:
    true if the input int value equals the value of the current object, false otherwize

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-1999 Ericsson Utvecklings AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD